YASU 0.0.2.10

Yet another Spider update version 0.0.2.10.

This version reworks the external script loader used to load user hook scripts to work around issues with the Gecko 1.8 branch and trunk. Due to changes in how eval works on the trunk, the previous version 0.0.2.8 changed from using XMLHttpRequest to load external scripts and scope.eval to evaluate the script in the appropriate scope to using the JSSubScriptLoader. However this caused problems on the 1.8 branch where the scripts were not always loaded. I’ve therefore moved to a hybrid approach where XMLHttpRequest/eval are used on the 1.8 branch while JSSubScriptLoader is still used on the trunk. Let me know if you have any issues with this release.

If you are already a user of Spider in Firefox, you can simply update the extension via the add-ons menu, otherwise you can download it.

Housekeeping

I’ve changed the category for Spider on this blog to be a top level category which is no longer part of the Mozilla category tree. This should keep YASU announcements from polluting Planet Mozilla where they are out of place.

Leave a Reply

Your email address will not be published. Required fields are marked *